Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 111089 - net-misc/smb4k information disclosure
Summary: net-misc/smb4k information disclosure
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B1? [glsa] jaervosz
Keywords:
Depends on:
Blocks:
 
Reported: 2005-11-01 00:16 UTC by Ilya Hegai
Modified: 2005-11-18 07:14 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
smb4k-0.6.4.ebuild (smb4k-0.6.4.ebuild,565 bytes, text/plain)
2005-11-01 00:17 UTC, Ilya Hegai
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ilya Hegai 2005-11-01 00:16:15 UTC
Smb4K 0.6.4 has been released at 30.10

Smb4K is a SMB/CIFS share browser for KDE. It uses the Samba software suite to access 
the SMB/CIFS shares of the local network neighborhood.

There is smb4k-0.6.4.ebuild in the attach, I've just renamed previous 0.6.3.ebuild and 
compiled it successfully
Comment 1 Ilya Hegai 2005-11-01 00:17:44 UTC
Created attachment 71850 [details]
smb4k-0.6.4.ebuild
Comment 2 Carsten Lohrke (RETIRED) gentoo-dev 2005-11-01 14:23:33 UTC
Ilya: If the ebuild doesn't need to be changed, attaching it is unnecessary. If
you attach something, a unified diff is preferred.


Seems we missed something...


ChangeLog Smb4K 0.6.3:

    * Fixed security issue: An attacker could get access to the full contents of
the /etc/super.tab or /etc/sudoers file by linking a simple text file FILE to
/tmp/smb4k.tmp and /tmp/sudoers, respectively, because Smb4K didn't check for
the existance of these files before writing any contents. When using super, the
attack also resulted in /etc/super.tab being a symlink to FILE.

ChangeLog Smb4K 0.6.4:

    * REALLY fixed the security issues in Smb4KFileIO. Now, temporary files and
directories are used to copy and modify sensitive data and the lock file is
checked to be not a symlink.


v.0.6.4 just hit cvs
Comment 3 Sune Kloppenborg Jeppesen gentoo-dev 2005-11-01 22:14:15 UTC
Arches please test and mark stable. 
Comment 4 Michael Hanselmann (hansmi) (RETIRED) gentoo-dev 2005-11-02 10:09:33 UTC
Stable on ppc.
Comment 5 Mark Loeser (RETIRED) gentoo-dev 2005-11-02 23:09:39 UTC
x86 done
Comment 6 Marcus D. Hanwell (RETIRED) gentoo-dev 2005-11-04 16:19:31 UTC
Stable on amd64. 
Comment 7 Thierry Carrez (RETIRED) gentoo-dev 2005-11-05 00:57:26 UTC
Ready for GLSA vote.
Comment 8 Thierry Carrez (RETIRED) gentoo-dev 2005-11-09 02:13:27 UTC
I tend to vote yes, but I don't understand what the exact impact is...
Comment 9 Sune Kloppenborg Jeppesen gentoo-dev 2005-11-09 02:18:34 UTC
A weak NO from here. 
 
Carlo, could you elaborate on the impact? 
Comment 10 Thierry Carrez (RETIRED) gentoo-dev 2005-11-15 01:02:45 UTC
Looking at the cdoe, in fact smb4k does (as kdesu root) the following :
chown root:root "+tmp_path+" && chmod "+perm+" "+tmp_path+" && mv "+tmp_path+"
"+item->path()

with item->path() = /etc/sudoers... and tmp_path might be under the control of
the attacker, so it smells very bad.

I vote yes, but in fact I think no vote is needed.
Comment 11 Sune Kloppenborg Jeppesen gentoo-dev 2005-11-18 07:14:21 UTC
GLSA 200511-15